Summary: "Grävning" - a port of an old game with sucky graphics
Name: grv
Version: 2023.0
Release: 0%{?dist}
Group: Games
License: GPLv2+
Packager: H. Peter Anvin <hpa@zytor.com>
URL: https://www.zytor.com/pub/games/grv
Source: grv-2023.0.tar.xz
Buildroot: /tmp/grv-root
BuildRequires: SDL2-devel libwebp-devel

%changelog
* Wed Mar 26 2003 H. Peter Anvin <hpa@zytor.com>
  - Initial version

%description
"Grävning" is an old game originally developed in BASIC on an original
IBM PC with CGA graphics.  Because CGA graphics was almost unusable,
the game was written for text mode.  This is a straight port of the
"spirit" of the latest version of the BASIC code, with support for
an Internet high score server.

%prep
%setup -q -n grv-2023.0

%build
%configure
make %{?_smp_mflags}

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 755 grv $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
install -m 755 grvscored $RPM_BUILD_ROOT/%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING
%attr(755,root,root) %{_bindir}/grv
%attr(755,root,root) %{_sbindir}/grvscored
